package com.ruoyi.project.sems.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiYlrq;
import org.springframework.web.multipart.MultipartFile;

/**
 * 特种设备压力容器台账Service接口
 *
 * @author ruoyi
 * @date 2021-06-30
 */
public interface ITSpecdevYlrqService extends IService<TSpecdevYlrq>
{
    /**
     * 查询特种设备压力容器台账
     *
     * @param id 特种设备压力容器台账ID
     * @return 特种设备压力容器台账
     */
    public TSpecdevYlrq selectTSpecdevYlrqById(Long id);

    /**
     * 查询特种设备压力容器台账列表
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 特种设备压力容器台账集合
     */
    public List<TSpecdevYlrq> selectTSpecdevYlrqList(TSpecdevYlrq tSpecdevYlrq);

    List<TSpecdevYlrq> selectTSpecdevYlrqListByYear(TSpecdevYlrq tSpecdevYlrq);
    /**
     * 新增特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    public int insertTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq);

    /**
     * 修改特种设备压力容器台账
     *
     * @param tSpecdevYlrq 特种设备压力容器台账
     * @return 结果
     */
    public int updateTSpecdevYlrq(TSpecdevYlrq tSpecdevYlrq);

    /**
     * 批量删除特种设备压力容器台账
     *
     * @param ids 需要删除的特种设备压力容器台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlrqByIds(Long[] ids);

    /**
     * 删除特种设备压力容器台账信息
     *
     * @param id 特种设备压力容器台账ID
     * @return 结果
     */
    public int deleteTSpecdevYlrqById(Long id);

    int updateTSpecdevYlrqByHi(TSpechiYlrq hientity);

    void duplicateTSpecdevYlrq();

    int importFiles(List<MultipartFile> files, String plantCode, String fileType, String userId) throws Exception;
}
